skb_queue_purge
Prev | Socket Buffer Functions | Next

## Name

skb_queue_purge — empty a list

## Synopsis

`void skb_queue_purge (` | struct sk_buff_head * | list`)`;

## Arguments

`list`

  list to empty

## Description

Delete all buffers on an &sk_buff list. Each buffer is removed from the list and one reference dropped. This function takes the list lock and is atomic with respect to other list locking functions.

Prev | Up | Next
skb_dequeue_tail | Home | skb_queue_head